
Ruby - Feature #8882

rb_obj_is_mutex() into include/ruby/intern.h

09/10/2013 12:29 AM - Glass_saga (Masaki Matsushita)

Status: Rejected   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version: 2.1.0   

Description

rb_obj_is_mutex() is currently an internal API function.

However, this function is useful for C extension developers to distinguish between Mutex and other objects extended by Mutex_m.

I want to use it in ext/thread/thread.c for this purpose.

Associated revisions

Revision 205399b0f4849bf3f8845b82b6e85416cd68eba2 - 11/29/2013 08:57 AM - sorah (Sorah Fukumori)

vm_insnhelper.c (check_match): Fix SEGV with VM_CHECKMATCH_TYPE_CASE

and class of pattern has method_missing

[Bug #8882] [ruby-core:58606]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43913 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 205399b0 - 11/29/2013 08:57 AM - sorah (Sorah Fukumori)

vm_insnhelper.c (check_match): Fix SEGV with VM_CHECKMATCH_TYPE_CASE

and class of pattern has method_missing

[Bug #8882] [ruby-core:58606]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43913 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6136b992d4d4df727fcdb50ef07194a50bac9bd9 - 01/23/2014 12:40 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 43913: [Backport #8872] [Backport #9175]

    * vm_insnhelper.c (check_match): Fix SEGV with VM_CHECKMATCH_TYPE_CASE

      and class of `pattern` has `method_missing`

      [Bug #8882] [ruby-core:58606]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@44695 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6136b992 - 01/23/2014 12:40 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 43913: [Backport #8872] [Backport #9175]

    * vm_insnhelper.c (check_match): Fix SEGV with VM_CHECKMATCH_TYPE_CASE

      and class of `pattern` has `method_missing`

      [Bug #8882] [ruby-core:58606]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@44695 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/01/2013 05:18 PM - ko1 (Koichi Sasada)

- Status changed from Open to Rejected

- Assignee set to ko1 (Koichi Sasada)

Maybe you want to use it for CV to make it fast.

However, we are not recommend CV because it is difficult primitive.

So we shouldn't touch it.

Files

patch.diff 889 Bytes 09/10/2013 Glass_saga (Masaki Matsushita)
